:: build.bat
:: this build system support MinGW and BCC.
::
:: author   : caprice
:: date     : 2010/04/07 created

:: if you want to compile by BCC, these source files isn't written "#pragma hdrstop".
:: so you should write "#pragma hdrstop" in source files.

:: init files

type nul > makeopt
type nul > BBS\defs.mk
type nul > BBS\Coe\defs.mk
type nul > BBS\ListMaker\defs.mk
type nul > BBS\TCP_IP\defs.mk
type nul > Config\defs.mk
type nul > Plugin\defs.mk
type nul > defs.mk
type nul > makedefs
type nul > makefile

goto GCC

:GCC

for %%i in (g++.exe) do (
    :: %%~$PATH:i is empty ?
    if _%%~$PATH:i == _ (
        :: MinGW isn't installed.
        echo g++.exe not found.
        echo now searching other compiler...
        goto BCC
    )
)

"CC=gcc.exe "    >> makeopt
"CPP=g++.exe "   >> makeopt
"CCOPT= -O3 -s"  >> makeopt
"CPPOPT= -O3 -s" >> makeopt

g++ -I"./include"       -MM *.cpp > defs.mk
cd "./BBS"
g++ -I"../include"      -MM *.cpp > defs.mk
cd "./Coe"
g++ -I"../../include"   -MM *.cpp > defs.mk
cd "../ListMaker"
g++ -I"../../include"   -MM *.cpp > defs.mk
cd "../TCP_IP"
g++ -I"../../include"   -MM *.cpp > defs.mk
cd "../../Config"
g++ -I"../include"      -MM *.cpp > defs.mk
cd "../../Plugin"
g++ -I"../include"      -MM *.cpp > defs.mk
copy BBS\defs.mk + BBS\Coe\defs.mk + BBS\ListMaker\defs.mk + BBS\TCP_IP\defs.mk + Config\defs.mk + Plugin\defs.mk + defs.mk makedefs
copy mkbefore + makedefs makefile

for %%i in (gmake.exe) do (
    :: %%~$PATH:i is empty ?
    if _%%~$PATH:i == _ (
        :: make named "gmake.exe"
        goto gmake
    )
)

for %%i in (mingw32-make.exe) do (
    :: %%~$PATH:i is empty ?
    if _%%~$PATH:i == _ (
        :: make named "mingw32-make.exe"
        goto mingwgmake
    )
)

goto BCC

:gmake
gmake
goto :EOF

:mingwmake
mingw32-make
goto :EOF

:BCC

echo g++.exe not found.
echo now searching other compiler...

for %%k in (bcc32.exe) do (
    :: %%~$PATH:i 󕶎ǂ
    if _%%~$PATH:k == _ (
        :: bccĂȂ
        echo bcc32.exe not found.
        echo failed to compile.
        goto :EOF
    )
)

"CC=bcc32.exe "    >> makeopt
"CPP=bcc32.exe "   >> makeopt
"CCOPT= -G -O"     >> makeopt
"CPPOPT= -G -O"    >> makeopt

g++ -I"./include"       -m *.cpp > defs.mk
cd "./BBS"
g++ -I"../include"      -m *.cpp > defs.mk
cd "./Coe"
g++ -I"../../include"   -m *.cpp > defs.mk
cd "../ListMaker"
g++ -I"../../include"   -m *.cpp > defs.mk
cd "../TCP_IP"
g++ -I"../../include"   -m *.cpp > defs.mk
cd "../../Config"
g++ -I"../include"      -m *.cpp > defs.mk
cd "../../Plugin"
g++ -I"../include"      -m *.cpp > defs.mk
copy BBS\defs.mk + BBS\Coe\defs.mk + BBS\ListMaker\defs.mk + BBS\TCP_IP\defs.mk + Config\defs.mk + Plugin\defs.mk + defs.mk makedefs
copy mkbefore + makedefs makefile
make
