#ifndef TRANSLATOR_H_INCLUDED
#define TRANSLATOR_H_INCLUDED

#include "lib2ch.h"

#include <wx/string.h>
#include <wx/textfile.h>

namespace BBS{
    namespace Coe{
        enum LinkTo {
            CH2,
            PICTURE,
            VIDEO, // foe YouTube & NicoVideo
            MUSIC,
            NORMAL
        };
        class Translator{
            LinkTo judgeUrlType(const wxString& url);
            void setUrlLink(wxString& text);
        public:
            Translator(){}
            virtual ~Translator(){}
            virtual wxString& Dat2Html(const wxString& Path, wxString& Result);
            virtual wxString Text2Html(){}
            wxString getTitle(const wxString& text);
        private:
            wxString Title;
            size_t LocName;
            size_t LocMail;
            size_t LocDate_ID;
            size_t LocText;
            size_t LocTitle;
            size_t SearchedLoc;
        };
    }
}
#endif // TRANSLATOR_H_INCLUDED
