#ifndef CPP2CH_H_INCLUDED
#define CPP2CH_H_INCLUDED

#include "lib2ch.h"

#include <wx/string.h>
#include <wx/xml/xml.h>

#include <vector>

namespace BBS {
    namespace ListMaker {
        struct BoardInfo {
            AddressData URL;
            wxString BoardName;
            wxString BoardId;
        };
        class BoardListMaker {
        private:
            bool BeginBoardURL;
            bool EndBoardURL;
            wxString section_Name;
            std::vector< std::vector<BoardInfo> > vList;
        public:
            const std::vector< std::vector<BoardInfo> > read(const wxString& filename);
            void makeList(const wxString& filename);
            wxString searchBoardNameFromBoardKey(const wxString& fileName, const wxString& boardKey);
            bool changeHostName(const wxString& fileName, const wxString& oldHostName, const wxString& newHostName);
        };
    }
}
#endif // CPP2CH_H_INCLUDED
