#ifndef BBS_TCP_IP_RESPONSEHEADER_H
#define BBS_TCP_IP_RESPONSEHEADER_H

#include "lib2ch.h"

#include "ConnectionMgr.h"

namespace BBS {
namespace TCP_IP {

class ResponseHeader
{
    public:
        ResponseHeader(const wxString& usrAgent) : userAgent(usrAgent) {}
        virtual ~ResponseHeader() {}
        virtual void Header_getThread(ConnectionMgr *Http) = 0;
        virtual void Header_getTList(ConnectionMgr *Http) = 0;
        virtual void Header_getBoardList(ConnectionMgr *Http) = 0;
    protected:
        wxString userAgent;
};

} // namespace TCP_IP
} // namespace BBS

#endif // BBS_TCP_IP_RESPONSEHEADER_H
