#include "lib2ch.h"

#include <wx/filename.h>

#include "AddrData.h"

namespace BBS {

wxString AddressData::fromThreadUrl(const wxString& url) {

}

wxString AddressData::fromThreadListUrl(const wxString& url) {

}

wxString AddressData::toThreadPath() {
    wxString pSep = wxFileName::GetPathSeparator();
    wxString result = _T("Log");
    wxString temp = ThreadKey.Mid(0, 4);
    wxString hostService;
    if(HostKey.find(_T("2ch.net"))) {
        hostService = _T("2ch.net")
    }
    result = pSep + hostService + pSep + BoardKey + pSep + temp + pSep + ThreadKey + _T(".dat");
    return result;
}

wxString AddressData::toThreadListPath() {
    wxString pSep = wxFileName::GetPathSeparator();
    wxString result = _T("Log");
    wxString hostService;
    if(HostKey.find(_T("2ch.net"))) {
        hostService = _T("2ch.net")
    }
    result = pSep + hostService + pSep + BoardKey + pSep + _T("subject.txt");
    return result;
}

wxString AddressData::toThreadUrl() {
    wxString result = _T("http://") + HostKey + _T("/test/read.cgi/") + BoardKey + _T("/") + ThreadKey + _T("/");
    return result;
}

wxString AddressData::toThreadListUrl() {
    wxString result = _T("http://") + HostKey + _T("/") + BoardKey + _T("/subject.txt");
    return result;
}

wxString AddressData::toSettingUrl() {
    wxString result = _T("http://") + HostKey + _T("/") + BoardKey + _T("/SETTING.txt");
    return result;
}

wxString AddressData::toLocalRuleUrl() {
    wxString result = _T("http://") + HostKey + _T("/") + BoardKey + _T("/head.txt");
    return result;
}

}

