#include <IO.ListMaker.ThreadListMaker.h>
#include <wx/textfile.h>
#include <wx/regex.h>
#include <wx/msgdlg.h>

#include <vector>

using namespace std;

namespace BBS{
    namespace ListMaker{
        vector<ThreadInfo> ThreadListMaker::MakeList(const wxString& Path){
            wxTextFile ifs(Path);
            ifs.Open(wxConvLocal);
            ThreadInfo TList;
            wxRegEx reTitle(_T("<>.*\\(")); // ここは最長一致でおｋ
            wxRegEx reResCount(_T("\\([0-9]+\\)"));
            wxString temp;
            for(temp = ifs.GetFirstLine(); !ifs.Eof(); temp = ifs.GetNextLine()){
                if(!reTitle.Matches(temp)){
                    wxMessageBox(temp, _T("えらー"));
                }
                if(!reResCount.Matches(temp)){
                    wxMessageBox(temp, _T("えらー"));
                }
                wxString Title = reTitle.GetMatch(temp);
                wxString Count = reResCount.GetMatch(temp);
                size_t Duawin = Title.rfind(_T("("));
                Title.erase(Duawin, Title.size());
                Title = Title.Mid(2, Title.size());
                Count.Replace(_T("("), _T(""));
                Count.Replace(_T(")"), _T(""));

                TList.Title = Title;
                TList.ResCount = Count;
                TList.LastWritting = _T("");
                TList.LatestGetTime = _T("");
                TList.LatestResWrittingTime = _T("");
                TList.NewResCount = _T("");
                TList.ThreadMomentum = _T("");

                vTList.push_back(TList);
            }
            ifs.Close();
            return vTList;
        }

        wxString ThreadListMaker::readThreadURL(const wxString& path, const wxString& threadName){
            wxTextFile file(path);
            file.Open(wxConvLocal);
            wxString str;
            for(str = file.GetFirstLine(); !file.Eof(); str = file.GetNextLine()){
                if(str.find(threadName) != wxString::npos){
                    wxRegEx reURL(_T("[0-9]+\\.dat<>"));
                    if(!reURL.Matches(str)){
                        wxMessageBox(str, _T("えらー！"));
                    }
                    result = reURL.GetMatch(str);
                    result.Replace(_T(".dat<>"), _T(""));
                    file.Close();
                    return result;
                }
            }
        }
    }
}
