#include "Header4Channel2.h"

#include "gmDefs.h"

using namespace std;

namespace BBS {
    namespace TCP_IP {

        Header4Channel2::Header4Channel2(const wxString& usrAgent)  : ResponseHeader(usrAgent) {
            //ctor
        }

        Header4Channel2::~Header4Channel2() {
            //dtor
        }

        void Header4Channel2::Header_getThread(ConnectionMgr *Get) {
            const wxString Referer = _T("http://") + Get->URLData.HostKey + _T("/test/read.cgi/")
                                + Get->URLData.BoardKey + _T("/") + Get->URLData.ThreadKey
                                + _T("/");
            Get->Http->SetHeader(_T("Accept-Encoding"), _T("URLData.gzip"));
            Get->Http->SetHeader(_T("Host"), Get->URLData.HostKey);
            Get->Http->SetHeader(_T("Accept"), _T("*/*"));
            Get->Http->SetHeader(_T("Referer"), Referer);
            Get->Http->SetHeader(_T("Accept-Language"), _T("ja"));
            Get->Http->SetHeader(_T("User-Agent"), userAgent);
            Get->Http->SetHeader(_T("Connection"), _T("close"));
        }

        void Header4Channel2::Header_getTList(ConnectionMgr *Get){
            wxString Referer = _T("http://") + Get->URLData.HostKey + _T("/")
                                + Get->URLData.BoardKey + _T("/");
            Get->Http->SetHeader(_T("Accept-Encoding"), _T("gzip"));
            Get->Http->SetHeader(_T("Host"), Get->URLData.HostKey);
            Get->Http->SetHeader(_T("Accept"), _T("*/*"));
            Get->Http->SetHeader(_T("Referer"), Referer);
            Get->Http->SetHeader(_T("Accept-Language"), _T("ja"));
            Get->Http->SetHeader(_T("User-Agent"), userAgent);
            Get->Http->SetHeader(_T("Connection"), _T("close"));
        }

        void Header4Channel2::Header_getBoardList(ConnectionMgr *Get){
            Get->Http->SetHeader(_T("Accept-Encoding"), _T("gzip"));
            Get->Http->SetHeader(_T("Host"), _T("menu.2ch.net"));
            Get->Http->SetHeader(_T("Accept"), _T("*/*"));
            Get->Http->SetHeader(_T("Referer"), _T("http://menu.2ch.net/"));
            Get->Http->SetHeader(_T("Accept-Language"), _T("ja"));
            Get->Http->SetHeader(_T("User-Agent"), userAgent);
            Get->Http->SetHeader(_T("Connection"), _T("close"));
        }
    } // namespace TCP_IP
} // namespace BBS
