#ifndef BBS_TCP_IP_CONNECT2CH_H
#define BBS_TCP_IP_CONNECT2CH_H

#include "gmDefs.h"

#include <wx/string.h>
#include <wx/stream.h>
#include "ConnectionMgr.h"
#include "AddrData.h"

namespace BBS {
namespace TCP_IP {

class Connect2ch : public ConnectionMgr
{
    public:
        Connect2ch(const AddressData& temp);
        Connect2ch(const AddressData& temp, const wxString& usrAgent);
        virtual ~Connect2ch();
        virtual ContentsInfo getBoardList();
        virtual ContentsInfo getThreadList();
        virtual ContentsInfo getThread();
    protected:
        wxInputStream *connect(const wxString& path);
    private:
        wxInputStream *Input;
        int Result;
};

} // namespace TCP_IP
} // namespace BBS

#endif // BBS_TCP_IP_CONNECT2CH_H
