#ifndef DATABASEMGR_H
#define DATABASEMGR_H

#include "ConfigMgr.h"
namespace Config {
struct DataBaseUtil;
class DataBaseMgr : public ConfigMgr {
    public:
        DataBaseMgr() : ConfigMgr() {}
        DataBaseMgr(const wxString& fileName) : ConfigMgr(fileName) {}
        ~DataBaseMgr() {}
        bool write(const wxString& itemName, long id, const wxString& value);
        wxString read(const wxString& itemName, long key);
        wxString read(long key);
        virtual gmConfig *loadConfig();
        virtual bool setConfig(const gmConfig *conf);
    private:
        DataBaseUtil *db;
};
}
#endif // DATABASEMGR_H
