/***************************************************************
 * Name:      GikoMonaApp.h
 * Purpose:   Defines Application Class
 * Author:     ()
 * Created:   2009-08-05
 * Copyright:  ()
 * License:
 **************************************************************/

#ifndef GIKOMONAAPP_H
#define GIKOMONAAPP_H

#include <wx/artprov.h>
#include <wx/snglinst.h>
#include <wx/thread.h>
#include <wx/bitmap.h>
#include <wx/msgdlg.h>

class gmGuiMgr;

class GikoMonaApp : public wxApp {
        wxSingleInstanceChecker *m_checker;
        gmGuiMgr *frame;
        bool initIcons() {
            bool result;
            result = icons.renewal.LoadFile(_T("./icons/renewal.ico"), wxBITMAP_TYPE_ICO);
            result = icons.tab.LoadFile(_T("./icons/tab.ico"), wxBITMAP_TYPE_ICO);
            result = icons.write.LoadFile(_T("./icons/write.ico"), wxBITMAP_TYPE_ICO);
            return result;
        }
    public:
        virtual bool OnInit();
        virtual int OnExit();
        Icons icons;
        LogMgr gmLog;
};

#endif // GIKOMONAAPP_H
