#ifndef IMPORTMGR_H
#define IMPORTMGR_H

#include "gmDefs.h"

#include <wx/string.h>
#include <wx/filefn.h>

namespace Config {
#ifdef __WXMSW__
enum ImportedSoftWare {
    DUAWIN,
    OPENJANE,
    GIKONAVI,
    LIVE2CH,
    KATJUSHA,
    ABONE,
    HOTZONU,
    GIKOHANYAN,
    EMANONG,
    TWINTAIL,
    MONOVIEW
};
#endif
class ImportMgr {
    public:
        ImportMgr() {}
        virtual ~ImportMgr() {}
        virtual bool importConfig(ImportedSoftWare confType, const wxString& logRootDirPath);
};
}

#endif // IMPORTMGR_H
