#ifndef XMLMGR_H
#define XMLMGR_H

#include "ConfigMgr.h"
namespace Config {
class XmlMgr : public ConfigMgr {
    public:
        XmlMgr() : ConfigMgr() {
            xml = new XmlUtil(_T(".config.xml"), _T("config"));
        }
        XmlMgr(const wxString& fileName) : ConfigMgr(fileName) {
            xml = new XmlUtil(fileName, _T("config"));
        }
        ~XmlMgr() { delete xml; }
        bool write(const wxString& itemName, long id, const wxString& value);
        wxString read(const wxString& itemName, long key);
        wxString read(long key);
        virtual gmConfig *loadConfig();
        virtual bool setConfig(const gmConfig *conf);
    private:
        XmlUtil *xml;
};
}
#endif // XMLMGR_H
