#ifndef CH2DATTRANSLATOR_H
#define CH2DATTRANSLATOR_H

#include "Translator.v2.h"

#if gm_CHECK_COE_VER(2,0,0,0)
namespace BBS {
namespace Coe {
namespace v2 {
    class Ch2DatTranslator : public Translator {
        public:
            Ch2DatTranslator(const wxString& fileName) : Translator(fileName);
            virtual ~Ch2DatTranslator();
        protected:
            const std::pair<
                ThreadInfo, // for title & all reses count
                std::vector<ResData> // reses
            >& parse(const wxString& text);
        private:
            wxString::iterator& next(const wxString::iterator& itr) {
                wxString::iterator result = itr;
                return result++;
            }
    };
}
}
}

#endif

#endif // CH2DATTRANSLATOR_H
