/*
*   lib2ch
*
*   author  :   caprice (chemicl_t)
*   created :   2010/07/16
*/

#ifndef LIB2CH_H_INCLUDED
#define LIB2CH_H_INCLUDED

/* coe version *****************************************************************/
#define COE_ENGINE_VER_MAJOR    1
#define COE_ENGINE_VER_MINOR    00

/*
    "COE_ENGINE_VER_STATE" value...
    alpha   : 1
    beta    : 2
    rc      : 3

    none    : 0
*/
#define COE_ENGINE_VER_STATE    0

#define COE_ENGINE_VER_STATE_MINOR      0

#if     COE_ENGINE_VER_STATE == 1
    #define gm_VER_STATE    "a"
#elif   COE_ENGINE_VER_STATE == 2
    #define gm_VER_STATE    "b"
#elif   COE_ENGINE_VER_STATE == 3
    #deinfe gm_VER_STATE    "RC"
#endif

#define gm_COE_ENGINE_MAJOR_VER        TO_STR(COE_ENGINE_VER_MAJOR)
#define gm_COE_ENGINE_MINOR_VER        TO_STR(COE_ENGINE_VER_MINOR)
#define gm_COE_ENGINE_VER_STATE_MINOR  TO_STR(COE_ENGINE_VER_STATE_MINOR)

/* coe version checking ********************************************************/
#define gm_CHECK_COE_VER(major, minor, state, state_minor)                                      \
            (COE_ENGINE_VER_MAJOR == (major) && COE_ENGINE_VER_MINOR == (minor) &&              \
             COE_ENGINE_VER_STATE == (state) && COE_ENGINE_VER_STATE_MINOR == (state_minor))



/* "gm_UA" will change to...
#if     defined(__WINDOWS__)
    #define gmPLATFORM_NAME "Windows;"
#elif   defined(__APPLE__)
    #if defined(__MACH__)
        #if defined(__WXCOCOA__)
            #define gmPLATFORM_NAME "MacOS X(Cocoa);"
        #else
            #define gmPLATFORM_NAME "MacOS X(Carbon);"
        #endif
    #else
        #define gmPLATFORM_NAME "MacOS Classic;"
    #endif
#elif   defined(__LINUX__)
    #if defined(__WXGTK__)
        #define gmPLATFORM_NAME "Linux(GTK+);"
    #else
        #define gmPLATFORM_NAME "Linux;"
    #endif
#elif   defined(__VISAGECPP__) || defined(__WXPM__)
    #define gmPLATFORM_NAME "OS/2;"
#endif
// wxWidgets will change default charset to unicode over ver3.
#if     !(wxMAJOR_VERSION >= 3)
    #if defined(_UNICODE || UNICODE)
        // enabled unicode
        #define gmCHARSET "U;"
    #else
        // enabled ansi
        #define gmCHARSET "A;"
    #endif
#else
    #define gmCHARSET "U;"
#endif
#define gm_UA  "Monazilla/1.0(GikoMona/" gm_VER "; " gmPLATFORM_NAME gmCHARSET ")"
*/

#endif // LIB2CH_H_INCLUDED

