#include <wx/ffile.h>

#include "Translator.v2.h"

#include <utility>

#if gm_CHECK_COE_VER(2,0,0,0)
using namespace std;

namespace BBS {
namespace Coe {
namespace v2 {

Translator::Translator(const wxString& fileName) {
    wxFFile file(fileName.c_str());
    if(!file.IsOpened()) { /* error */ }
    if(!file.ReadAll(&dat, wxConvLocal)) { /* error */ }
    if(!file.Close()) { /* error */ }
}

Translator::~Translator() {
    //dtor
}

pair<ThreadInfo, vector<wxString> > dat2Html() {
    const pair<ThreadInfo, vector<ResData> > resList = parse(dat);
    vector<wxString> reses(pair.first.allResesCount);
    reses.push_back(html);
    for(vector<ResData>::iterator itr = resList.second.begin();
            itr != resList.second.end();
            itr++) {
         reses.push_back(*itr);
    }
    return make_pair(resList.first, reses);
}

}
}
}
#endif

